@charset "utf-8";
/* CSS Document */

* {
    margin: 0;
    padding: 0;
}

body,
td,
th,
p {
    font-family: "Roboto", sans-serif;
    font-size: 10pt;
    color: #333;
    line-height: 1.5;
}

body {
    max-width: 1500px;
    background-color: #ccc;
    margin-left: auto;
    margin-right: auto;
    position: relative;
}

ul,
li {
    font-family: "Roboto", sans-serif;
    font-size: 10pt;
    color: #333;
}

a {
    color: orange;
    text-decoration: none;
}

a:hover, a:focus {
    color: #3397db;
    text-decoration: none;
}

a img {
    border: none 0px #fff;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Roboto", sans-serif;
    margin: 0 0 20px;
}

article,
aside,
canvas,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}

header h1 {
    padding-top: 25px;
    padding-bottom: 25px;
}

span {
    display: block;
}

#page-title {
    font-family: 'Source Serif Pro', serif;
}

#maincontent {
    background: #f3f3f3 url("../img/circles-light.png");
    min-height: 100%;
    display: flex;
    flex-direction: column;
}

#footer {
    background-color: #252831;
    color: #aaa;
    font-size: 8pt;
    letter-spacing: 1px;
    padding: 15px 25px 5px 25px;
    text-align: center;
    text-transform: uppercase;
}

/* ====================== Navigation ====================== */

nav {
    width: 100%;
    height: 80px;
    background-color: #252831;
    text-align: center;
}

nav h1 {
    margin: auto;
}

nav h1 a {
    color: #fff;
    font-size: 14pt;
    font-weight: 200;
    letter-spacing: 10px;
    text-transform: uppercase;
}

#breadcrumb {
    padding: 10px 40px 16px;
    list-style: none;
    background-color: #eee;
    font-size: 17px;
    margin: 0;
    width: calc(100% - 80px);
}

/* Display list items side by side */

#breadcrumb li {
    display: inline;
}

/* Add a slash symbol (/) before/behind each list item */

#breadcrumb li+li:before {
    padding: 8px;
    color: black;
    content: "/\00a0";
}

/* Add a color to all links inside the list */

#breadcrumb li a {
    color: #0275d8;
    text-decoration: none;
}

/* Add a color on mouse-over */

#breadcrumb li a:hover {
    color: #01447e;
    text-decoration: underline;
}

/* ====================== Map ====================== */

#map {
    height: 400px;
    width: 100%;
    background-color: #ccc;
}

/* ====================== Restaurant Filtering ====================== */

.filter-options {
    width: 100%;
    height: 55px;
    background-color: #252831;
    align-items: center;
    display: flex;
    flex-direction: row;
}

.filter-options h2 {
    color: white;
    font-size: 1rem;
    font-weight: normal;
    line-height: 1;
    margin: 0 20px;
}

.filter-options select {
    background-color: white;
    border: 1px solid #fff;
    border-radius: 0 10px 0 10px;
    font-family: "Roboto", sans-serif;
    font-size: 11pt;
    height: 35px;
    letter-spacing: 0;
    margin: 10px;
    padding: 0 10px;
    width: 200px;
}

/* ====================== Restaurant Listing ====================== */

#restaurants-list {
    background-color: #f3f3f3 url("..img/circles-light.png");
    list-style: outside none none;
    margin: 0;
    padding: 30px 15px 60px;
    text-align: center;
    justify-content: center;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
}

#restaurants-list li {
    background-color: #fff;
    border: 1px solid #ccc;
    font-family: "Roboto", sans-serif;
    margin: 15px;
    min-height: 380px;
    padding: 0 30px 25px;
    text-align: left;
    min-width: 250px;
    max-width: 270px;
    display: inline-block;
    border-radius: 0 25px 0 25px;
}

#restaurants-list .restaurant-img {
    background-color: #ccc;
    display: block;
    margin-top: 10px;
    max-width: 100%;
    overflow: hidden;
    border-radius: 20px;
}

#restaurants-list li h1 {
    color: #558B2F;
    font-family: "Roboto", sans-serif;
    font-size: 14pt;
    font-weight: 300;
    letter-spacing: 0;
    line-height: 1.3;
    margin: 20px 0 10px;
    text-transform: uppercase;
    text-align: center;
}

#restaurants-list p {
    margin: 0;
    font-size: 11pt;
}

#restaurants-list li a {
    background-color: #558B2F;
    border-bottom: 3px solid #eee;
    color: #fff;
    display: inline-block;
    font-size: 10pt;
    margin: 15px 0 0;
    padding: 8px 30px 10px;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    width: 75%;
    border-radius: 5px
}

/* ====================== Restaurant Details ====================== */

#restaurant-container {
    display: flex;
    flex-direction: column;
}

#restaurant-name {
    color: #558B2F;
    font-family: "Roboto", sans-serif;
    font-size: 20pt;
    font-weight: 200;
    letter-spacing: 0;
    margin: 15px 0 15px;
    text-transform: uppercase;
    line-height: 1.1;
    text-align: center;
}

#restaurant-img {
    width: 50%;
    border-radius: 0 50px 0 50px;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 15px;
}

#restaurant-cuisine {
    background-color: #333;
    color: #ddd;
    font-size: 12pt;
    font-weight: 300;
    letter-spacing: 10px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    text-transform: uppercase;
    width: 50%;
    margin-bottom: 15px;
}

#restaurant-address {
    font-size: 14pt;
    width: 100%;
    text-align: center;
    margin-bottom: 15px;
}

#restaurant-sub-container {
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: center;
}

#restaurant-hours {
    margin-bottom: 15px;
    width: 50%;
}

#restaurant-hours td {
    color: #666;
}

#map-container {
    display: flex;
    flex-direction: column;
    width: 100%;
}

#reviews-container {
    border-bottom: 1px solid #d9d9d9;
    border-top: 1px solid #fff;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#reviews-container h2 {
    color: #558B2F;
    font-size: 24pt;
    font-weight: 300;
    letter-spacing: -1px;
    padding-bottom: 1pt;
    text-align: center;
}

#reviews-list {
    margin: auto;
    padding: 0;
    width: 75%;
}

#reviews-list li {
    background-color: #fff;
    border: 2px solid #f3f3f3;
    display: block;
    list-style-type: none;
    margin: 0 0 30px;
    overflow: hidden;
    padding: 20px 20px 20px 20px;
    position: relative;
    width: 90%;
    border-radius: 0 50px 0 50px;
}

#reviews-list li p {
    margin: 0 0 10px;
}

.reviews-name {
    font-size: 1.5em;
    font-weight: bold;
    width: 33%;
    display: inline-block;
}

.reviews-date {
    width: 33%;
    display: inline-block;
}

.reviews-rating {
    font-weight: bold;
    width: 33%;
    display: inline-block;
    text-align: right;
}
